"use strict";

import { Platform, requireNativeComponent } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
const NativeApplePayButton = requireNativeComponent('WalletPaymentsApplePayButton');
const buttonTypeMap = {
  plain: 0,
  // PKPaymentButtonTypePlain
  buy: 1,
  // PKPaymentButtonTypeBuy
  setUp: 2,
  // PKPaymentButtonTypeSetUp
  inStore: 3,
  // PKPaymentButtonTypeInStore
  donate: 4,
  // PKPaymentButtonTypeOrder
  checkout: 5,
  // PKPaymentButtonTypeCheckout
  book: 6,
  // PKPaymentButtonTypeBook
  subscribe: 7,
  // PKPaymentButtonTypeSubscribe
  reload: 8,
  // PKPaymentButtonTypeReload
  addMoney: 9,
  // PKPaymentButtonTypeAddMoney
  topUp: 10,
  // PKPaymentButtonTypeTopUp
  order: 11,
  // PKPaymentButtonTypeOrder
  rent: 12,
  // PKPaymentButtonTypeRent
  support: 13,
  // PKPaymentButtonTypeSupport
  contribute: 14,
  // PKPaymentButtonTypeContribute
  tip: 15,
  // PKPaymentButtonTypeTip
  continue: 16 // PKPaymentButtonTypeContinue
};
const buttonStyleMap = {
  white: 0,
  // PKPaymentButtonStyleWhite
  whiteOutline: 1,
  // PKPaymentButtonStyleWhiteOutline
  black: 2,
  // PKPaymentButtonStyleBlack
  automatic: 3 // PKPaymentButtonStyleAutomatic
};
const ApplePayButton = ({
  buttonType = 'plain',
  buttonStyle = 'black',
  cornerRadius = 4,
  onPress,
  style
}) => {
  const isIos = Platform.OS === 'ios';
  return isIos ? /*#__PURE__*/_jsx(NativeApplePayButton, {
    onPress: onPress,
    style: style,
    buttonStyle: buttonStyleMap[buttonStyle],
    buttonType: buttonTypeMap[buttonType],
    cornerRadius: cornerRadius
  }) : null;
};
export default ApplePayButton;
//# sourceMappingURL=ApplePayButton.js.map